# What is this plugin?
A simple plugin that records Modded Rundown progression on your PC. 
Now updated to the latest game version.

# For Rundown Developer:
This plugin use _"name"_ in RundownDatablock as the file name of the local progression storage, you need to guarantee its uniqueness, also be sure that there's no invalid file name char in the _"name"_ (If there is/are, this plugin will try to replace those chars to a single '_').

# Patch note:
- The plugin now works on the following `GameSetupDatablock`:
```
"RundownIdsToLoad": [
    1 // the id doesn't need necessarily to be 1. 
      // Multiple rundownID specification is discouraged. For now Localprogression only takes the first rundown ID into consideration.
],
```
- Now support `UnlockedByExpedition` expedition accessibility in `RundownDatablock` (specified by `"Accessibility": 5`)

For example,
```
"Accessibility": 5,
"UnlockedByExpedition": {
  "Tier": 2,
  "Exp": 0
},
```
requires player to complete the first level on Tier C to unlock the level. The unlock requirement [_WOULD_] show up right under the expedition icon, just like those in vanilla.

Note: `UseCustomProgressionLock` and unlock requirements specified via field `ReqToReachTierX` [_WORK_] as well. 

However, there [_WON'T_] show up any unlock requirement text to player, and thereby player would have no idea how to unlock the level (still you could inform player of it by some means). After some trial and error, I deem this a vanilla issue and thereby just leaving it unfixed.