# Junkie Syringe Pack


Custom syringe models that can be used to replace the default Red and Yellow syringes. Ideally used with ExtraSyringeCustomization to provide custom effects.

---

Currently contains pink, red & black, blue, green and white syringe variants.

#### Prefabs to add to ItemData:
```
Pink:
        "Assets/CustomAssets/Consumables/Content/IV_Syringe_1stPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/IV_Syringe_3rdPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/IV_Pickup.prefab"

Red & Black:
        "Assets/CustomAssets/Consumables/Content/VIR_Syringe_1stPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/VIR_Syringe_3rdPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/VIR_Pickup.prefab"
Blue:
        "Assets/CustomAssets/Consumables/Content/ADR_Syringe_1stPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/ADR_Syringe_3rdPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/ADR_Pickup.prefab"

Green:
        "Assets/CustomAssets/Consumables/Content/SPD_Syringe_1stPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/SPD_Syringe_3rdPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/SPD_Pickup.prefab"
White:
        "Assets/CustomAssets/Consumables/Content/SPD_Syringe_1stPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/SPD_Syringe_3rdPerson.prefab"
        "Assets/CustomAssets/Consumables/Content/SPD_Pickup.prefab"

```

---



In-game appearance of custom syringe models:

<img src="https://i.imgur.com/NaujtcU.png" width="400" height="500" />

---

## How to use
1) Install the mod
2) Create a new syringe in ItemData by duplicating an existing one.
3) Replace FirstPersonPrefabs, ThirdPersonPrefabs, and PickupPrefabs with the corresponding custom models.
4) Spawn them as you would any other consumable.

Contact [Project Zaero#9999](https://discord.gg/rRMPtv4FAh) on the discord if you find any issues.

---
## Patch Notes
2.2.0
Updated for Alt-R3. Updated filepath.

2.1.0
Fixed broken IV_Syringe pickup.

2.0.0
Updated for ALT R1 release

1.0.1
Epic README.MD moment

1.0.0
Initial Release